Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members

# CIAO::XMLHelpers::Skip_DocHandler Class Reference

This DocHandler ignore and skip over a specific tag. More...

`#include <Cascadable_DocHandler.h>`

Inheritance diagram for CIAO::XMLHelpers::Skip_DocHandler:

[legend]
Collaboration diagram for CIAO::XMLHelpers::Skip_DocHandler:

[legend]
List of all members.

## Public Member Functions
| Skip_DocHandler (ACEXML_XMLReader *parser, Cascadable_DocHandler *parent, const ACEXML_Char *namespaceURI, const ACEXML_Char *localName, const ACEXML_Char *qName, ACEXML_Attributes *atts ACEXML_ENV_ARG_DECL) throw (ACEXML_SAXException)
| Constructor.
virtual | ~Skip_DocHandler ()
| Destructor.
virtual void | endElement (const ACEXML_Char *namespaceURI, const ACEXML_Char *localName, const ACEXML_Char *qName ACEXML_ENV_ARG_DECL) throw (ACEXML_SAXException)
virtual void | startElement (const ACEXML_Char *namespaceURI, const ACEXML_Char *localName, const ACEXML_Char *qName, ACEXML_Attributes *atts ACEXML_ENV_ARG_DECL) throw (ACEXML_SAXException)
## Protected Attributes
long | element_count_

## Detailed Description

This DocHandler ignore and skip over a specific tag.

## Constructor & Destructor Documentation

CIAO::XMLHelpers::Skip_DocHandler::Skip_DocHandler | ( | ACEXML_XMLReader * | parser,
|  | Cascadable_DocHandler * | parent,
|  | const ACEXML_Char * | namespaceURI,
|  | const ACEXML_Char * | localName,
|  | const ACEXML_Char * | qName,
|  | ACEXML_Attributes *atts | ACEXML_ENV_ARG_DECL
| ) | throw (ACEXML_SAXException)

| Constructor.

CIAO::XMLHelpers::Skip_DocHandler::~Skip_DocHandler | ( |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

void CIAO::XMLHelpers::Skip_DocHandler::endElement | ( | const ACEXML_Char * | namespaceURI,
|  | const ACEXML_Char * | localName,
|  | const ACEXML_Char *qName | ACEXML_ENV_ARG_DECL
| ) | throw (ACEXML_SAXException)`[virtual]`

| Receive notification of the end of an element. Reimplemented from ACEXML_DefaultHandler.

virtual void CIAO::XMLHelpers::Skip_DocHandler::startElement | ( | const ACEXML_Char * | namespaceURI,
|  | const ACEXML_Char * | localName,
|  | const ACEXML_Char * | qName,
|  | ACEXML_Attributes *atts | ACEXML_ENV_ARG_DECL
| ) | throw (ACEXML_SAXException)`[virtual]`

| Receive notification of the beginning of an element. Reimplemented from ACEXML_DefaultHandler.

## Member Data Documentation

long CIAO::XMLHelpers::Skip_DocHandler::element_count_`[protected]`

The documentation for this class was generated from the following files:

- Cascadable_DocHandler.h
- Cascadable_DocHandler.cpp